Bug 54805 - bad directory perms on lclint rpm
Summary: bad directory perms on lclint rpm
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: lclint   
(Show other bugs)
Version: 7.3
Hardware: s390
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-10-19 14:50 UTC by Jay Turner
Modified: 2015-01-07 23:52 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-23 09:14:14 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Glen Foster 2001-10-19 14:50:55 UTC
Description of Problem: According to rpmlint:

# hostname
rawhide.redhat.de
# uname -a
Linux rawhide.redhat.de 2.4.9-0.11b #1 SMP Fri Oct 19 00:42:31 CEST 2001
s390 unknown
# rpm -q lclint
lclint-2.5q-4
# rpmlint lclint
E: lclint non-standard-dir-perm /usr/lib/lclint/lib 0775
E: lclint non-standard-dir-perm /usr/lib/lclint 0775
E: lclint non-standard-dir-perm /usr/lib/lclint/imports 0775

But this is not the set of rpmlint results when run on an i386

Comment 1 Florian La Roche 2001-10-23 09:14:09 UTC
Right. Umask during compilation of rpms is set to 002 instead of 022.
Will recompile this rpm.

Florian La Roche


Comment 2 Florian La Roche 2001-10-26 07:07:25 UTC
Fixed in RC2

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.